#if !defined(AFX_PRGGRID_H__F9AB798C_DD63_4DA8_A58E_75045A98AC94__INCLUDED_)
#define AFX_PRGGRID_H__F9AB798C_DD63_4DA8_A58E_75045A98AC94__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrgGrid.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "StcBorder.h"		// For CFCStcBorder.
#include "PrgGridSub.h"		// For CFCPRGGRID.
#include "PropertyPageBase.h"	// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCPropertyPageBase

/////////////////////////////////////////////////////////////////////////////
// CFCPrgGrid _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCPrgGrid : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCPrgGrid)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCPrgGrid();
	~CFCPrgGrid();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCPrgGrid)
	enum { IDD = IDD_PRG_GRID };
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPRGGRID

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCPrgGrid)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCPrgGrid)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnPggChkGridVisible();
	afx_msg void OnPggChkGridSameValue();
	afx_msg void OnEditchangePggCbbGridHorz();
	afx_msg void OnCloseupPggCbbGridHorz();
	afx_msg void OnSelchangePggCbbGridHorz();
	afx_msg void OnEditchangePggCbbGridVert();
	afx_msg void OnCloseupPggCbbGridVert();
	afx_msg void OnSelchangePggCbbGridVert();
	afx_msg void OnDialogInitValue();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRGGRID_H__F9AB798C_DD63_4DA8_A58E_75045A98AC94__INCLUDED_)
